| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Lib.IWaitCondition Interface Reference

Interface for classes that implement blocking until a specified condition is met. More...

Inheritance diagram for IG.Lib.IWaitCondition:
[legend]
Collaboration diagram for IG.Lib.IWaitCondition:
[legend]

## Public Member Functions
bool | Condition ()
| Returns true if unblocking condition is satisfied, and false otherwise. More...
void | CancelOne ()
| Cancels the current waiting for the condition (if one is going on) on one thread and unblocks the thread on which waiting was called (possibly with some latency). More...
void | CancelAll ()
| Cancel the current waiting for the condition on all threads. More...
void | Wait ()
| Blocks until the specified condition gets satisfied. See class description for details. More...

## Properties
bool | IsWaiting`[get]`
| Returns true if waiting for unblocking condition is currently performed, and false otherwise. Setting should only be done within the waiting function. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Interface for classes that implement blocking until a specified condition is met.

$A Igor Jun10;

## Member Function Documentation

bool IG.Lib.IWaitCondition.Condition | ( |  | ) |

Returns true if unblocking condition is satisfied, and false otherwise.

Implemented in IG.Lib.WaitDirectoryRemovalLatence, IG.Lib.WaitDirectoryCreationLatence, IG.Lib.WaitFileRemovalLatence, IG.Lib.WaitFileCreationLatence, IG.Lib.WaitFileEventLatenceBase, IG.Lib.WaitFileEventBaseByProxyLatence, IG.Lib.WaitDirectoryRemoval, IG.Lib.WaitDirectoryCreation, IG.Lib.WaitFileRemoval, IG.Lib.WaitFileCreation, IG.Lib.WaitFileEventBase, IG.Lib.WaitCondition, and IG.Lib.WaitConditionBase.

void IG.Lib.IWaitCondition.CancelOne | ( |  | ) |

Cancels the current waiting for the condition (if one is going on) on one thread and unblocks the thread on which waiting was called (possibly with some latency).

Implemented in IG.Lib.WaitFileEventBaseByProxyLatence, IG.Lib.WaitFileEventBase, and IG.Lib.WaitConditionBase.

void IG.Lib.IWaitCondition.CancelAll | ( |  | ) |

Cancel the current waiting for the condition on all threads.

Implemented in IG.Lib.WaitFileEventBase, and IG.Lib.WaitConditionBase.

void IG.Lib.IWaitCondition.Wait | ( |  | ) |

Blocks until the specified condition gets satisfied. See class description for details.

This method will normally not be overridden, except with intention to change the condition check time plan. When overriding, use the original method as template.

Implemented in IG.Lib.WaitFileEventBaseByProxyLatence, IG.Lib.WaitDirectoryRemoval, IG.Lib.WaitDirectoryCreation, IG.Lib.WaitFileRemoval, IG.Lib.WaitFileCreation, IG.Lib.WaitFileEventBase, IG.Lib.WaitCondition, and IG.Lib.WaitConditionBase.

## Property Documentation

bool IG.Lib.IWaitCondition.IsWaiting
| get

Returns true if waiting for unblocking condition is currently performed, and false otherwise. Setting should only be done within the waiting function.

The documentation for this interface was generated from the following file:

- igbase/0unsorted/WaitCondition.cs